Subject: Re: regexp does not work as documented

From: Bruno Haible <[email-masked]>
Date: Tue, 6 May 2008 23:35:59 +0200

David Koppelman wrote:
> Later in the week I'll look into it and provide either a fix
> or document the limitation.

Thank you!

Chong Yidong wrote:
> > OTOH, I don't see what we can do about this problem.  Maybe we could add
> > a note to the docstring of highlight-regexp saying that multi-line
> > regular expressions are problematic?  Does anyone have a suggestion?

As an end user, for testing the effect of a regexp on a buffer interactively,
I would prefer to have a "volatile" coloring (i.e. one that disappears at the
next buffer modification) but is correct, rather than a documented-to-be-wrong
coloring that updates itself correctly during buffer modifications. Less
functionality but implemented correctly.

OTOH, third-party packages may prefer the current behaviour if their regexps
match only portions of a line.

Bruno